#! /bin/sh
#
# $FreeBSD: ports/french/plgrenouille/files/plgrenouille.sh,v 1.2 2004/03/12 23:49:14 naddy Exp $
#
# PROVIDE: plgrenouille
# REQUIRE: DAEMON
# KEYWORD: FreeBSD
#
# Add the following line to /etc/rc.conf to enable upclient:
#
# plgrenouille_enable="YES"
#

plgrenouille_enable=NO
plgrenouille_flags=-b

. /etc/rc.subr

name=plgrenouille
rcvar=$(set_rcvar)

command=/usr/local/libexec/${name}
command_interpreter=/usr/local/bin/perl
pidfile=/var/run/${name}.pid
logfile=/var/log/${name}.log
required_files=/usr/local/etc/grenouillerc
extra_commands=configure
configure_cmd="${command} -c"

load_rc_config ${name}
run_rc_command "$1"
